liboss4-salsa-asound2_4.2-build2017-1_amd64.deb


Advertisement

Description

liboss4-salsa-asound2 - OSS to Alsa compatibility library - binary compatibility symlink

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename liboss4-salsa-asound2_4.2-build2017-1_amd64.deb
Package name liboss4-salsa-asound2
Package version 4.2
Package release build2017-1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage -
License -
Maintainer Samuel Thibault <sthibault@debian.org>
Download size 8.09 KB
Installed size 22.00 KB

Alternatives

Package Version Architecture Repository
liboss4-salsa-asound2_4.2-build2019-dmo1_i386.deb 4.2 i386 Multimedia Main
liboss4-salsa-asound2_4.2-build2019-dmo1_amd64.deb 4.2 amd64 Multimedia Main
liboss4-salsa-asound2_4.2-build2017-1_i386.deb 4.2 i386 Debian Main
liboss4-salsa-asound2 - - -

Requires

Name Value
liboss4-salsa2 -

Provides

Name Value
libasound2 -

Conflicts

Name Value
libasound2 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liboss4-salsa-asound2_4.2-build2017-1_amd64.deb
Source Package oss4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liboss4-salsa-asound2 deb package:
    # sudo apt-get install liboss4-salsa-asound2

Files

Path
/usr/lib/x86_64-linux-gnu/libasound.so.2
/usr/share/doc/liboss4-salsa-asound2/changelog.Debian.gz
/usr/share/doc/liboss4-salsa-asound2/changelog.gz
/usr/share/doc/liboss4-salsa-asound2/copyright

Changelog

2019-01-08 - Samuel Thibault <sthibault@debian.org>
oss4 (4.2-build2017-1) unstable; urgency=low
[ S├ębastien Noel ]
* New upstream release.
[ Samuel Thibault ]
* New upstream release. (Closes: #827674)
* control: Bump Standards-Version to 3.9.8 (no change).
* 30oss4-pm, oss4-dkms.postinst: invoke-rc.d is now essential.
* Use https URL
* 503_glibc_2.28.patch: Fix build against glibc 2.28 (Closes: #916005)
* 501_linux_version.patch: Drop, fixed upstream.
* debian/include-alsa/alsa/mixer.h: Fix
snd_mixer_selem_set_playback_volume_range prototype (Closes: #620627).
* debian/include-alsa/alsa/version.h: Bump alsa version accordingly.
* Set myself as maintainer until an oss4 team is reassembled.
* rules: Drop spurious .o upstream files.
[ Reiner Herrmann ]
* Reproducible build fixes (Closes: #834993)
* Use system txt2man in upstream build script (build.sh), which supports
SOURCE_DATE_EPOCH.
* Use SOURCE_DATE_EPOCH for the generated build-id.
* Sort files in modules tarball, fix permissions and timestamps.
* Fix ordering issues in some other places.
2016-01-31 - Samuel Thibault <sthibault@debian.org>
oss4 (4.2-build2010-5) unstable; urgency=medium
* rules: Don't install libasound.so.2 link in liboss4-salsa-dev...
(Closes: #783301)
* control: ... make it depend on liboss4-salsa-asound2 instead.
2015-09-26 - Samuel Thibault <sthibault@debian.org>
oss4 (4.2-build2010-4) unstable; urgency=medium
* 502_linux_io.patch: Fix build on non-x86 Linux.
2015-09-26 - Samuel Thibault <sthibault@debian.org>
oss4 (4.2-build2010-3) unstable; urgency=medium
* debian/include-alsa/alsa/mixer.h: Update enum _snd_mixer_selem_channel_id
to newer ALSA. Fixes some MATE builds.
* 501_linux_version.patch: Fix build under Linux 4.x.
2015-03-09 - Samuel Thibault <sthibault@debian.org>
oss4 (4.2-build2010-2) unstable; urgency=medium
* Disable USB drivers, which insufficiently validate USB device descriptors.
(Closes: #775662)
2014-11-22 - Tobias Frost <tobi@debian.org>
oss4 (4.2-build2010-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Add dependency on libc-dev for oss4-dkms to avoid build failure when
compiling the module (Closes: #768394)
2014-10-23 - Sebastien NOEL <sebastien@twolife.org>
oss4 (4.2-build2010-1) unstable; urgency=low
[ Sebastien NOEL ]
* New upstream release.
- fix build with recent kernel. (Closes: #696751)
* Add build dependency on libtool-bin. (Closes: #761783)
[ Benda Xu ]
* Use debhelper 9.
* Bump to standard 3.9.6.
* Add Benda Xu to uploaders.
* Run wrap-and-sort.
* Canonicalize Vcs-Svn field and add Vcs-Browser field.
* Get rid of limits.h copy hack, leverage include-fixed from gcc.
2014-10-15 - Matthias Klose <doko@debian.org>
oss4 (4.2-build2007-2.3) unstable; urgency=medium
* Non-maintainer upload.
* Fix to find kernel header (Michal Suchanek). Closes: #713841.
2014-10-09 - Matthias Klose <doko@debian.org>
oss4 (4.2-build2007-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Build-depend on libtool-bin. Closes: #761779.
2013-11-23 - Philipp Kern <pkern@debian.org>
oss4 (4.2-build2007-2.1) unstable; urgency=low
* Non-maintainer upload.
* Downgrade the linux-headers dependency to recommends.
(Closes: #728267)

See Also

Package Description
liboss4-salsa2_4.2-build2017-1_amd64.deb OSS to Alsa compatibility library
libossim-dev_2.6.2-1_amd64.deb OSSIM library -- development files
libossim1_2.6.2-1_amd64.deb OSSIM library -- shared library
libossp-sa-dev_1.2.6-2_amd64.deb Abstraction library for the Unix socket API
libossp-sa12_1.2.6-2_amd64.deb Abstraction library for the Unix socket API
libossp-uuid-dev_1.6.2-1.5+b7_amd64.deb OSSP uuid ISO-C and C++ - headers and static libraries
libossp-uuid-perl_1.6.2-1.5+b7_amd64.deb perl OSSP::UUID - OSSP uuid Perl Binding
libossp-uuid16_1.6.2-1.5+b7_amd64.deb OSSP uuid ISO-C and C++ - shared library
libostree-1-1_2019.1-1_amd64.deb content-addressed filesystem for operating system binaries (library)
libostree-dev_2019.1-1_amd64.deb Development files for the libostree library
libostree-doc_2019.1-1_all.deb Development documentation for the libostree library
libostyle-dev_1.4devel1-21.3+b1_amd64.deb OpenJade libraries, developer support
libostyle1c2_1.4devel1-21.3+b1_amd64.deb Runtime libraries for OpenJade
libotb-apps_6.6.1+dfsg-1+b1_amd64.deb Plugins for ORFEO Toolbox applications
libotb-dev_6.6.1+dfsg-1+b1_amd64.deb Free library of image processing algorithms - development
Advertisement
Advertisement